Subject: Re: [Geopriv] "House Number" misnamed?

From: Brian Rosen <[email-masked]>
Date: Wed, 04 Nov 2009 17:05:32 -0400

In further discussion with NENA, we think a separate field is necessary.

There are just too many cases where there is both a milepost and an address
(house) number.

The field has to be decimal (tenths of a mile/km are common).

Brian

On 10/26/09 7:44 PM, "Thomson, Martin" <[email-masked]> wrote:

> Misnamed as it may be, the actual label does not need to change if we want to
> extend its semantics.  The only problem comes about when you attempt to
> constrain semantics.  I see no problem with what you propose.
> 
> It's a simple enough change to note that HNO can refer to milestones or
> whatever.  The only question that arises is whether this is the right thing to
> do.  There was that proposal to add support for a separate "post number",
> which seemed to indicate that such things were commonplace, but orthogonal to
> house numbering.
> 
> I've always thought that all the suffix fields were largely redundant and just
> a source of extra complexity.  As it stands, any document author can choose to
> use the suffix, or just roll the two identifiers into the base element.  The
> Austrian mappings in the RFC-to-be use the latter approach consistently.
> 
> --Martin
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Rosen, Brian
>> Sent: Tuesday, 27 October 2009 3:00 AM
>> To: [email-masked]
>> Subject: [Geopriv] "House Number" misnamed?
>> 
>> In the original PIDF-LO definition in RFC4119, we have a field called
>> "House
>> Number" (and a "House Number Suffix").  Is this field misnamed?
>> 
>> Suppose you had a "milepost" on a road, or on a railroad, or even a
>> hiking
>> trail.  Would you expect the marker number (which is usually miles or
>> kilometers as measured from an end of the road/railroad/trail) to
>> appear in
>> the "HNO" field?
>> 
>> I think yes, which means that the field is misnamed.  I would suspect
>> that
>> the appetite of the work group to actually change the name of the field
>> would be low, although I would probably like to do something that would
>> generalize the use of the field.
>> 
>> A more subtle question.  In 4119, under HNO, it says "numeric part
>> only".
>> If the post marker was "125.5" is that numeric enough, or would we have
>> to
>> use the suffix?
>> 
>> Brian
>> 
>> _______________________________________________
>> Geopriv mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/geopriv
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/geopriv